# Applications Applications ## Creates a new application record that does not already exist. - [POST /applications/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/applications/createapplication.md): This method will auto-generate an ID and create a new application. If an ID is specified for the application, an error will be thrown. ## Returns a list of records with the specified award_id - [GET /applications/{tenantId}/award/{award_id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/applications/listapplicationsbyawardid.md): Returns a list of records with the specified award_id ## Execute Batch Operations - [POST /applications/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/applications/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified owner_type and id - [GET /applications/{tenantId}/contact/{ownerType}/{contactOrOrgId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/applications/listapplicationsbyownertypecontactororgid.md): Returns a list of records with the specified owner_type and id ## Generates an order from an awards application - [POST /applications/{tenantId}/generateOrder](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/applications/generateorder.md): This method will examine an awards application and generate an appropriate order ## Sends out a preview of the CRC notification email - [POST /applications/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/applications/previewemail.md): Sends out a preview of the CRC notification email ## Sends out a preview of the CRC notification email - [POST /applications/{tenantId}/process](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/applications/processapplication.md): Sends out a preview of the CRC notification email ## Searches for applications using predefined parameters - [POST /applications/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/applications/searchforapplications.md): Searches for applications using predefined parameters ## Returns a application from the system by its ID. - [DELETE /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/applications/deleteapplication.md): This method will delete a application with the specified ID. ## Returns a application from the system by its ID. - [GET /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/applications/getapplication.md): This method will look up a application by the specified ID and return it back. ## Partially updates a application with the specified ID. - [PATCH /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/applications/patchapplication.md): This method will patch an existing application with the specified ID, using the HTTP PATCH specification. ## Updates a application with the specified ID. - [PUT /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/applications/updateapplication.md): This method will update an existing application with the specified ID.